Text::Markup::HTML(3pm)

Name
Text::Markup::HTML - HTML parser for Text::Markup

Synopsis
  use Text::Markup;
  my $html = Text::Markup->new->parse(file => 'hello.html');

Description
This is the HTML <https://whatwg.org/html/> parser for Text::Markup. All it does is read in the HTML file and return it as a string. It makes no assumptions about encoding, and returns the string raw as read from the file, with no decoding. It recognizes files with the following extensions as HTML:

.html
.htm
.xhtml
.xhtm

To change it the files it recognizes, load this module directly and pass a regular expression matching the desired extension(s), like so:

  use Text::Markup::HTML qr{hachetml};

Author
David E. Wheeler <david@justatheory.com>

Copyright and License
Copyright (c) 2011-2025 David E. Wheeler. Some Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.